Loading...
Searching...
No Matches
QGpgME::QGpgMEListAllKeysJob Class Reference
Inheritance diagram for QGpgME::QGpgMEListAllKeysJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEListAllKeysJob:
[legend]

## Public Member Functions

| QGpgMEListAllKeysJob (GpgME::Context *context)
GpgME::Error | start (bool mergeKeys) override
GpgME::KeyListResult | exec (std::vector< GpgME::Key > &pub, std::vector< GpgME::Key > &sec, bool mergeKeys) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< ListAllKeysJob, QGpgMEListAllKeysJobPrivate, std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, std::vector< GpgME::Key >, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::ListAllKeysJob
void | setOptions (Options options)
Options | options () const
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< ListAllKeysJob, QGpgMEListAllKeysJobPrivate, std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, std::vector< GpgME::Key >, QString, GpgME::Error > >
typedef ThreadedJobMixin< ListAllKeysJob, QGpgMEListAllKeysJobPrivate, std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, std::vector< GpgME::Key >, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, std::vector< GpgME::Key >, QString, GpgME::Error > | result_type
Public Types inherited from QGpgME::ListAllKeysJob
enum | Option { Default = 0x00 , DisableAutomaticTrustDatabaseCheck = 0x01 }
Signals inherited from QGpgME::ListAllKeysJob
void | result (const GpgME::KeyListResult &result, const std::vector< GpgME::Key > &pub=std::vector< GpgME::Key >(), const std::vector< GpgME::Key > &sec=std::vector< GpgME::Key >(), const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< ListAllKeysJob, QGpgMEListAllKeysJobPrivate, std::tuple< GpgME::KeyListResult, std::vector< GpgME::Key >, std::vector< GpgME::Key >, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::ListAllKeysJob
| ListAllKeysJob (std::unique_ptr< ListAllKeysJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

KeyListResult QGpgMEListAllKeysJob::exec | ( | std::vector< GpgME::Key > & | pub,
|  | std::vector< GpgME::Key > & | sec,
|  | bool | mergeKeys )

override virtual

Synchronous version of start().

Implements QGpgME::ListAllKeysJob.

## start()

Error QGpgMEListAllKeysJob::start | ( | bool | mergeKeys | ) |

override virtual

Starts the listallkeys operation. In general, all keys are returned (however, the backend is free to truncate the result and should do so; when this happens, it will be reported by the result object).

If GnuPG 2.1 or later is used, then mergeKeys is ignored. Otherwise, if mergeKeys is true, then some (but not all) information of the secret keys is merged into public keys.

Implements QGpgME::ListAllKeysJob.

The documentation for this class was generated from the following files:

- qgpgmelistallkeysjob.h
- qgpgmelistallkeysjob.cpp